EREANDEL(1)

NAME
ereandel - A Gemini web browser using shell script

SYNOPSIS
ereandel [URL]|[OPTION]

DESCRIPTION
ereandel v0.26.0: Browse the gemini web on any POSIX compatible terminal.

OPTIONS

-h, --help
    show this help

-v, --version
    show version info

COMMANDS
These are the default keybindings to use while running ereandel:

q   quit

g   go to a link

r   reload current page

b   go back one page

u   jump one path segment up

o   open an address

s   save current page

H   go to homepage

m   add bookmark

M   go to a bookmark

K   remove bookmark for current url

ENVIRONMENT
Ereandel uses 2 environment variables to help debugging and tracing its execution.

debug
    To start ereandel in debug mode

trace
    To start ereandel with tracing activated

NOTES

  Client certificates

ereandel can work with client certificates if capsules requires them for authentication. ereandel allows a single client certificate per (sub)domain identified by it's name. If a client cert for a specific domain is available ereandel will send it to the server with every request. When a resource requires a client cert and ereandel can't find one it will show you a command to create a client cert for the capsule. The certificates are stored in $XDG_CONFIG_DIR/ereandel/certs/.

To remove a certificate simply delete the <domain>.crt and <domain>.key files in the directory mentioned above.

CONFIGURATION
You can setup a config file at $XDG_CONFIG_DIR/ereandel/ereandel.conf to configure ereandel the way you like. The file uses a simple key=value style, see the complete example for the default values below.

    margin=8
    homepage="gemini.circumlunar.space/"
    sty_header1='\033[35;7;1m'
    sty_header2='\033[35;4;1m'
    sty_header3='\033[35;4m'
    sty_quote='\033[2;3m  '
    sty_linkb='\033[35m'
    sty_linkt=' => \033[36;3m '
    sty_listb='\033[35;1m  •'
    sty_listt='\033[0m'
    openkey='o'
    openlocalkey='O'
    gokey='g'
    refreshkey='r'
    backkey='b'
    quitkey='q'
    markkey='b'
    gomarkkey='M'
    delmarkkey='K'
    goupkey='u'
    homekey='H'

EXAMPLES

ereandel
    Start browsing the default webpage

ereandel url
    Start browsing url

ereandel --help
    Show help

AUTHOR
Written by Brian Lee Mayer.

REPORTING BUGS
Report bugs to: bleemayer@gmail.com
Home page: <https://www.github.com/blmayer/ereandel/>
General help: <https://www.github.com/blmayer/ereandel/wiki>

COPYRIGHT
Copyright © 2021-2023 Brian Mayer. License MIT: MIT License <https://opensource.org/licenses/MIT> THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.